#ifdef KITSCHY_DEBUG_MEMORY 
#include "debug_memorymanager.h"
#endif

#include "stdio.h"
#include "stdlib.h"
#include "string.h"
#include "math.h"

#include <FL/Fl.H>
#include <FL/Fl_Button.H>
#include <FL/fl_file_chooser.H>
#include <FL/Fl_Double_Window.H>
#include <FL/Fl_Select_Browser.H>
#include <FL/Fl_Shared_Image.H>

#include "List.h"
#include "twindow.h"

#include "GMapTile.h"


extern bool quit;
extern List<GMapTile> tiles;


GMapsTWindow::GMapsTWindow(int x,int y) : Fl_Double_Window(x,y,260,260,"Tiles") 
{
	GMapTile *t;

	m_list=new Fl_Select_Browser(5,5,250,250);

	end();


	tiles.Rewind();
	while(tiles.Iterate(t)) {
		if (t->get_name()[0]!='o' ||
			t->get_name()[1]!='b' ||
			t->get_name()[2]!='_') m_list->add(t->get_name());
	} /* while */ 
} /* GMapsTWindow::GMapsTWindow */ 

GMapsTWindow::~GMapsTWindow()
{
} /* GMapsTWindow::~GMapsTWindow */ 


char *GMapsTWindow::get_selected(void)
{
	return (char *)(m_list->text(m_list->value()));
} /* GMapsTWindow::get_selected */ 

