#ifdef KITSCHY_DEBUG_MEMORY 
#include "debug_memorymanager.h"
#endif

#include "stdio.h"
#include "stdlib.h"
#include "string.h"
#include "math.h"

#include <FL/Fl.H>
#include <FL/Fl_Button.H>
#include <FL/fl_file_chooser.H>
#include <FL/Fl_Double_Window.H>
#include <FL/Fl_Shared_Image.H>
#include <FL/Fl_Select_Browser.H>

#include "List.h"
#include "owindow.h"


extern bool quit;
extern int n_objects;
extern char *object_name[];


GMapsOWindow::GMapsOWindow(int x,int y) : Fl_Double_Window(x,y,260,260,"Objects") 
{
	int i;

	m_list=new Fl_Select_Browser(5,5,250,250);

	end();


	for(i=0;i<n_objects;i++) m_list->add(object_name[i]);

} /* GMapsOWindow::GMapsOWindow */ 


GMapsOWindow::~GMapsOWindow()
{
} /* GMapsOWindow::~GMapsOWindow */ 


int GMapsOWindow::get_selected(void)
{
	return m_list->value();
} /* GMapsOWindow::get_selected */ 

